package com.ruoyi.tcZz.service;

import java.util.List;

import com.ruoyi.tcZz.domain.TcAqg;
import com.ruoyi.tcZz.domain.TcWlaqzcqy;

/**
 * 网络安全支持单位Service接口
 * 
 * @author ruoyi
 * @date 2023-10-13
 */
public interface ITcWlaqzcqyService 
{
    /**
     * 查询网络安全支持单位
     * 
     * @param id 网络安全支持单位主键
     * @return 网络安全支持单位
     */
    public TcWlaqzcqy selectTcWlaqzcqyById(Long id);

    /**
     * 查询网络安全支持单位列表
     * 
     * @param tcWlaqzcqy 网络安全支持单位
     * @return 网络安全支持单位集合
     */
    public List<TcWlaqzcqy> selectTcWlaqzcqyList(TcWlaqzcqy tcWlaqzcqy);

    /**
     * 新增网络安全支持单位
     * 
     * @param tcWlaqzcqy 网络安全支持单位
     * @return 结果
     */
    public int insertTcWlaqzcqy(TcWlaqzcqy tcWlaqzcqy);

    /**
     * 修改网络安全支持单位
     * 
     * @param tcWlaqzcqy 网络安全支持单位
     * @return 结果
     */
    public int updateTcWlaqzcqy(TcWlaqzcqy tcWlaqzcqy);

    /**
     * 批量删除网络安全支持单位
     * 
     * @param ids 需要删除的网络安全支持单位主键集合
     * @return 结果
     */
    public int deleteTcWlaqzcqyByIds(Long[] ids);

    /**
     * 删除网络安全支持单位信息
     * 
     * @param id 网络安全支持单位主键
     * @return 结果
     */
    public int deleteTcWlaqzcqyById(Long id);


    /**
     * 导入网络安全支持单位信息
     *
     * @return 结果
     */
    public String importUser(List<TcWlaqzcqy> tcWlaqzcqyList);

    /**
     * 批量启用禁用
     *
     *
     */
    public void updateByisStatus(Integer isStatus,List<String> ids);

}
